import React from "react";
import { useNavigate } from "react-router-dom";
import { queryTable } from "@/utils/request";
import { ProTable } from "@ant-design/pro-components";
import { Button, message, Popconfirm } from "antd";
import Page from "@/components/Page";
import { getTaCheckStand } from "@/service/tacheckstand";

const queryTaCheckStandList = queryTable(getTaCheckStand);

export default (props) => {
  const actionRef = React.useRef();
  const navigate = useNavigate();

  // const updateStatus = (user) => {
  //   const status = user.status === 1 ? 0 : 1;
  //   const hide = message.loading("请稍候...", 0);
  //   updateUserStatus(user.id, status)
  //     .then((res) => {
  //       hide();
  //       actionRef.current.reload();
  //     })
  //     .catch(() => {
  //       hide();
  //     });
  // };
  const handleDelete = (id) => {
    if (id) {
      deleteTdLocType(id).then((res) => {
        actionRef.current.reload();
      });
    }
  };

  const columns = [
    {
      title: "分类名称",
      dataIndex: "locName",
    },
    {
      title: "分类描述",
      dataIndex: "desc",
    },

    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        <Button
          key={2}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            navigate(`/dict/checkStand/edit?id=${record.statndId}`);
          }}
        >
          编辑
        </Button>,
      ],
    },
  ];

  return (
    <Page>
      <ProTable
        actionRef={actionRef}
        rowKey="statndId"
        search={false}
        // toolBarRender={() => [
        //   <Button
        //     key="1"
        //     type="primary"
        //     onClick={() => {
        //       navigate("/dict/locType/edit");
        //     }}
        //   >
        //     新增
        //   </Button>,
        // ]}
        request={queryTaCheckStandList}
        columns={columns}
      />
    </Page>

  );
};
